> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Understanding check results

> Interpreting and understanding the full set of results that can come back from checks requires a lot more context than what we can give in the API Reference. This section attempts to address that deficit with a more detailed discussion of check results. It’s constantly growing and evolving, and we welcome suggestions for more example flows or deeper discussions on results.

## Overview

Whenever the [`/entity/verify`](/docs/v1/api/kyc-api-endpoints/reference/entity/create-check-entity) process is run against an individual, a highly detailed response will be returned that covers the wide variety of checks that can be performed.

This same result set will also be returned if [`GET /entity/{id}/checks`](/docs/v1/api/kyc-api-endpoints/reference/entity/query-entity) is queried as well.

The result set is broken down into sections, each of which provides details around a ***check type*** or family of ***check types***. Various forms of summary information are provided as well.

It should also be noted that when a verification check is run against an entity, the result won’t only return the details of the latest check but will also factor in still-relevant data of previous checks too, to provide a comprehensive picture of the entity.

The following pages will break down the various sections that can be found in the **CheckEntityCheckResultsObject** , (see the [API Reference](/docs/v1/api/kyc-api-endpoints/reference/status/status-check) for details).

<Info>
  **The Process Result Object**

  Before jumping in, it’s worth reading the overview of one of the workhorse structures of the API result sets: [The ProcessResultObject](/docs/v1/kyc/understanding-check/process-result-object)
</Info>

## The CheckEntityCheckResultsObject

This is the object that’s returned from all /entity/verify and /entity/checks calls. It’s broken down into the following sub-structures:

* [entityProfileResults](/docs/v1/kyc/understanding-entity-profile-kyc-results)
* [checkSummary](/docs/v1/kyc/understanding-check/overview)
* [amlResultSets](/docs/v1/kyc/aml-results/overview)
* [checkRisk](/docs/v1/kyc/understanding-check/risk)
* [duplicateCheckResults](/docs/v1/kyc/understanding-check/duplicates)
* [blacklistCheckResults](/docs/v1/kyc/understanding-check/blocklist)
* [manualCheckResults](/docs/v1/kyc/understanding-check/manual-checks)

## Other Results

Not all checks get their own dedicated section of the result structure but are found inside their related result sections. These are looked at individually below:

* [Credit Header failures](/docs/v1/kyc/special-result/credit-header-results)
* [Visa Entitlement results](/docs/v1/kyc/special-result/australian-visa-results)
